
## wow color
export NEWT_COLORS='
root=magenta,cyan
window=magenta,yellow
title=yellow,magenta
roottext=megenta,yellow
shadow=,magenta
textbox=cyan,yellow
button=yellow,magenta
'

if (whiptail --title "Solo Miners Alliance Network" --yesno "This will install Wownero and add peers according to Wownero Solo Miners Alliance (https://forum.wownero.com/t/solo-miners-alliance-network/746)" --yes-button "Continue" --no-button "Exit" 8 78); then
else
    exit
fi

## add packages for install
sudo apt install ansible pip libffi-dev curl git build-essential cmake libuv1-dev libssl-dev libhwloc-dev uuid-dev | whiptail --title 'Solo Miners Alliance Network' --gauge 'Adding packages.. ansible pip libffi-dev curl git' 6 60 10

## grab ansible playbook
git https://git.wownero.com/qvqc/ansible-remote-node | whiptail --title 'Solo Miners Alliance Network' --gauge 'Adding packages.. ansible pip libffi-dev curl git' 6 60 30
cd ansible-remote-node | whiptail --title 'Solo Miners Alliance Network' --gauge 'Add Alliance Peers' 6 60 40


## add Alliance Network Nodes here
cat <<EOT >> roles/wownerod/templates/wownerod.conf.j2 | whiptail --title 'Solo Miners Alliance Network' --gauge 'Add Alliance Peers' 6 60 40
add-peer=v2admi6gbeprxnk6i2oscizhgy4v5ixu6iezkhj5udiwbfjjs2w7dnid.onion:34566
add-peer=iy6ry6uudpzvbd72zsipepukp6nsazjdu72n52vg3isfnxqn342flzad.onion:34566
add-peer=7ftpbpp6rbgqi5kjmhyin46essnh3eqb3m3rhfi7r2fr33iwkeuer3yd.onion:34566
add-peer=j7rf2jcccizcp47y5moehguyuqdpg4lusk642sw4nayuruitqaqbc7ad.onion:34566
add-peer=aje53o5z5twne5q2ljw44zkahhsuhjtwaxuburxddbf7n4pfsj4rj6qd.onion:34566
add-peer=nepc4lxndsooj2akn7ofrj3ooqc25242obchcag6tw3f2mxrms2uuvyd.onion:34566
add-peer=666l2ajxqjgj5lskvbokvworjysgvqag4oitokjuy7wz6juisul4jqad.onion:34566
add-peer=ty7ppqozzodz75audgvkprekiiqsovbyrkfdjwadrkbe3etyzloatxad.onion:34566
add-peer=ewynwpnprbgqllv2syn3drjdrqkw7ehoeg73znelm6mevvmpddexsoqd.onion:34566
add-peer=zao3w6isidntdbnyee5ufs7fyzmv7wzchpw32i3uo5eldjwmo4bxg2qd.onion:34566
add-peer=mqkiqwmhhpqtzlrf26stv7jvtaudbyzkbg3lttkmvvvauzgtxm62tgyd.onion:34566
add-peer=vq5bn3dhzorkpc6g6xi4vruylpdvfw6nrdf7ylyxudunsa4rzm4hduid.onion:34566
add-peer=oscqc6nia6ledut7ufpffej2kkjeuoonibwxudajg3su2w7p32xa.b32.i2p:34565
add-peer=72tbpgeczdtx2q2enbyaqcot7mghbnjenjkmdpyylrssqehr746a.b32.i2p:34565
add-peer=lrq65qrhpbt5voom2ncvowpes6kvobodkldhpuwhxlsrpugmgmlq.b32.i2p:34565
add-peer=rkel2qy7xv3cc5bnxfrzwgh3jvd4woagd4vlhr3qsdxy6cfkimnq.b32.i2p:34565
EOT

## setup pip dep
sudo pip install -r requirements.txt | whiptail --title 'Solo Miners Alliance Network' --gauge 'Setup Ansible' 6 60 40

## wipe and set inventory to localhost
> inventory.ini | whiptail --title 'Solo Miners Alliance Network' --gauge 'Setup Ansible' 6 60 40
echo "[all]" >> inventory.ini | whiptail --title 'Solo Miners Alliance Network' --gauge 'Setup Ansible' 6 60 40
echo "localhost ansible_connection=local" >> inventory.ini | whiptail --title 'Solo Miners Alliance Network' --gauge 'Setup Ansible' 6 60 40

## run playbook
ansible-playbook -i inventory.ini site.yaml -b | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Wownero, Tor, i2pd' 6 60 70

## getting local node info
i2pP2P=$( curl http://127.0.0.1:7070/?page=i2p_tunnels 2>&1 | grep -Eo "[a-zA-Z0-9./?=_%:-]*" | grep "34565" ) | whiptail --title 'Solo Miners Alliance Network' --gauge 'Getting i2pd Info' 6 60 80
i2pRPC=$( curl http://127.0.0.1:7070/?page=i2p_tunnels 2>&1 | grep -Eo "[a-zA-Z0-9./?=_%:-]*" | grep "34568" ) | whiptail --title 'Solo Miners Alliance Network' --gauge 'Getting i2pd Info' 6 60 85
torRPCP2P=$( cat /var/lib/tor/wownero/hostname ) | whiptail --title 'Solo Miners Alliance Network' --gauge 'Getting Tor info' 6 60 90

## add xmrig
git clone https://github.com/xmrig/xmrig.git /tmp/xmrig | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig' 6 60 93
mkdir /tmp/xmrig/build && cd /tmp/xmrig/build | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig' 6 60 93
cmake .. | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig' 6 60 94
make -j$(nproc) | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig' 6 60 95
make install | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig' 6 60 95

## add xmrig-proxy
git clone https://github.com/xmrig/xmrig-proxy.git /tmp/xmrig-proxy | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 96
mkdir /tmp/xmrig-proxy/build | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 96
cd /tmp/xmrig-proxy/build | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 96
cmake .. | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 97
make -j$(nproc) | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 98
make install  | whiptail --title 'Solo Miners Alliance Network' --gauge 'Installing Xmrig-Proxy' 6 60 99

## display node information
cat <<EOT >> roles/wownerod/templates/wownerod.conf.j2 | whiptail --title 'Solo Miners Alliance Network' --gauge 'Finishing Up..' 6 60 100
Welcome to the Wownero Solo Miners Alliance Network

ADD RPC URLs TO
https://forum.wownero.com/t/solo-miners-alliance-network/746
AND
https://MONERO.FAIL/?crypto=wownero

YOUR I2P P2P ADDRESS
$i2pP2P
YOUR I2P RPC ADDRESS
$i2pRPC
YOUR TOR P2P/RPC ADDRESS ( :34566 / :34568 )
$torRPCP2P
EOT

whiptail --title "Solo Miners Alliance Network" --textbox /tmp/WelcomeAlliance 40 80



